## com.thingmagic
Enum Gen2.SecureTagType

    java.lang.Object
      java.lang.Enum<Gen2.SecureTagType>
          com.thingmagic.Gen2.SecureTagType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Gen2.SecureTagType>

Enclosing class:
  Gen2

    public static enum Gen2.SecureTagType

extends java.lang.Enum<Gen2.SecureTagType>

Enum Constant Summary
`DEFAULT`
`HIGGS3`
`MONZA4`

Method Summary
`static Gen2.SecureTagType` `get(int rep)`
`int` `getCode()`
`static Gen2.SecureTagType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Gen2.SecureTagType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DEFAULT

    public static final Gen2.SecureTagType DEFAULT

### HIGGS3

    public static final Gen2.SecureTagType HIGGS3

### MONZA4

    public static final Gen2.SecureTagType MONZA4

Method Detail

### values

    public static Gen2.SecureTagType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Gen2.SecureTagType c : Gen2.SecureTagType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Gen2.SecureTagType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getCode

    public int getCode()

### get

    public static Gen2.SecureTagType get(int rep)